<?php

/*
  Plugin Name: Tickera - tickets left in tickets table
  Plugin URI: http://tickera.com/
  Description: Displays the number of tickets left for each of the ticket types in the table of event tickets
  Author: Tickera.com
  Author URI: http://tickera.com/
  Version: 1.0
  TextDomain: tc
  Copyright 2019 Tickera (https://tickera.com/)
 * 
 */

//WooCommerce hooks
add_action('tc_wb_event_col_title_before_ticket_price', 'tc_woo_custom_tickets_left_title', 10,1);
add_action('tc_wb_event_col_value_before_ticket_price', 'tc_woo_custom_tickets_left_value', 10,1);

//Standalone hooks
add_action('tc_event_col_title_before_ticket_price', 'tc_custom_tickets_left_title', 10,1);
add_action('tc_event_col_value_before_ticket_price', 'tc_custom_tickets_left_value', 10,1);


//WooCommerce
if ( is_plugin_active( 'bridge-for-woocommerce/bridge-for-woocommerce.php' ) ) {
    
function tc_woo_custom_tickets_left_title() {
        ?>
        <th>Tickets left</th>
    <?php }

function tc_woo_custom_tickets_left_value($ticket_type) {
    global $product;
    $product = wc_get_product($ticket_type);
    $stock = $product->get_stock_quantity();
    ?>

    <td><?php echo $stock; ?></td>
        
        <?php }
        
}


//Standalone
function tc_custom_tickets_left_title () {
    ?>
    <th>Tickets left</th>
    
<?php }

function tc_custom_tickets_left_value($ticket_type) {
    ?>
    <td> <?php echo do_shortcode('[tickets_left ticket_type_id="'.$ticket_type.'"]')?> </td>
<?php }




